# Method: accounts.locations.patch

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/patch#body.aspect)

Updates the specified location.

Photos are only allowed on a location that has a Google+ page.

Returns `NOT_FOUND` if the location does not exist.

### HTTP request

`PATCH https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the location to update. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The specific fields to update. If no mask is specified, then this is treated as a full update and all fields are set to the values passed in, which may include unsetting empty fields in the request. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` If true, the request is validated without actually updating the location. |
| `attributeMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The IDs of the attributes to update. Only attributes noted in the mask will be updated. If an attribute is present in the mask and not in the location, it will be removed. An empty mask will update all attributes. Whenever this field is set, the updateMask should include attributes as one of the fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).